 /* '11 Main.cpp' */

 /* Nagłówek strumienia wejścia-wyjścia*/
#include <iostream>
 /* Nagłówek funkcji matematycznych*/
#include <math.h>

double DegreeToRadian (double Angle);

main ()
{
 short Angle;

 for (Angle = 0; Angle < 180; Angle += 10)
 {
  if (Angle == 90)
  {
   std::cout << "Tangens z 90 stopni nie istnieje."  << std::endl;
   continue;
  }
  std::cout << "Tangens z " << Angle << " stopnii wynosi: ";
  std::cout << tan( DegreeToRadian(Angle) ) << std::endl;
 }

 return 0;
}

double DegreeToRadian (double Angle)
{
 double Radian;

 Radian = (Angle * 180) / 3.14159;

 return Radian;
}
